PHP Version with ISPConfig

Discussion in 'General' started by edispah, Feb 24, 2009.

  1. edispah

    edispah New Member

    Hi

    Im fairly new to ISPConfig and have a problem with a customer.

    My set up is

    Fedora Core 9
    ISPConfig 2.2.25

    Hes creating a site and getting an error

    Fatal error: Call to undefined function new_xmldoc()

    I believe its because the dom extensions in PHP are disabled. I was looking at the file install_ispconfig/compile_aps/compile and saw the line

    which xml2-config

    and if it cant find that command it adds --disable-dom --disable-libxml etc....

    I do have xml2-config so can only assume I didnt have it when I installed ispconfig.

    I was going to upgrade ispconfig to 2.2.9 - my question is does this upgrade php for customers websites or just for the ispconfig system?

    If it is only for ispconfig I assume I will need to recompile the standard php src rpm's for fedora core 9 ensuring the dom and xml bits are enabled?

    I do have php-xml installed which after some googling seemed to indicate would enable dom but it does not seem to be the case?

    Any help/advice appreciated.

    Thanks

    Paul
     
  2. till

    till Super Moderator

    you are mixing up the ispconfig php with the php of your websites! the php compiled by ispconfig is only for internal use of the controlpanel an not used for websites. If you need php-dom for your sites, install the appropriate package deom your linux distribution.

    The latest version is 2.2.29, 2.2.9 is a very old version (20 releases older then 2.2.29 to be exact).
     

Share This Page